%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio
%{?scl:%scl_package quartz}
%{!?scl:%global pkg_name %{name}}

Name: %{?scl_prefix}quartz
Summary: Quartz Enterprise Job Scheduler
License: ASL 2.0
URL: http://www.quartz-scheduler.org/
Group: Development/Libraries/Java
Version: 2.1.5
Release: 6%{?dist}
Source: %{pkg_name}-%{version}.tar.gz
Patch0: build.xml.quartz.patch
BuildRoot: %{_tmppath}/%{pkgname}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: java >= 0:1.6.0
BuildRequires: ant >= 0:1.7.0
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: glassfish-javamail
BuildRequires: geronimo-jms
BuildRequires: geronimo-jpa
BuildRequires: geronimo-jta
BuildRequires: jboss-ejb-api_3.1_spec
BuildRequires: slf4j
BuildRequires: c3p0
BuildRequires: jakarta-commons-httpclient >= 3.1
BuildRequires: log4j
Requires: java >= 0:1.6.0
%{?scl:Requires: %scl_runtime}
%define __jar_repack %{nil}

%description
Quartz is a job scheduling system that can be integrated with, or used
along side virtually any J2EE or J2SE application. Quartz can be used
to create simple or complex schedules for executing tens, hundreds, or
even tens-of-thousands of jobs; jobs whose tasks are defined as standard
Java components or EJBs.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1

%build
ant -Dlibdir=/usr/share/java -Dversion=%{version} clean package

%install
rm -rf $RPM_BUILD_ROOT
# Create the directory structure required to lay down our files
# common
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/java/
ln -s %{_datadir}/java/quartz-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/java/quartz.jar
install -m 644 dist/lib/quartz-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/java/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_datadir}/java/quartz-%{version}.jar
%{_datadir}/java/quartz.jar


%changelog
* Thu Feb 20 2014 Jesus M. Rodriguez <jesusr@redhat.com>
- Rebuilding to get candlepin-scl prefix again

* Wed Feb 19 2014 William O. Poteat <wpoteat@redhat.com>
- Rebuilding for el7

* Tue Mar 12 2013 Chris Duryee (beav) <cduryee@redhat.com>
- scl'd quartz (cduryee@redhat.com)
